| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Data Structures | Public Member Functions | Protected Attributes
LT_2974FaultLog Class Reference

class that handles LTC2974 fault logs. More...

## Detailed Description

class that handles LTC2974 fault logs.

contains structs for interpreting the data read from the part.

Definition at line 61 of file LT_2974FaultLog.h.

Inheritance diagram for LT_2974FaultLog:

## Data Structures
struct | ChanStatus
struct | FaultLogLtc2974
struct | FaultLogPeaksLtc2974
struct | FaultLogPreambleLtc2974
struct | FaultLogReadLoopLtc2974
struct | FaultLogReadStatusLtc2974
struct | IoutData
struct | Peak16Words
struct | Peak5_11Words
struct | PoutData
struct | TempData
struct | VinData
struct | VinStatus
struct | VoutData

## Public Member Functions
| LT_2974FaultLog (LT_PMBus *pmbus)
| Constructor. More...
void | print (Print *printer=0)
| Pretty prints this part's fault log to a Print inheriting object, or Serial if none specified. More...
uint8_t * | getBinary ()
| Get binary of the fault log or NULL if no log. More...
uint16_t | getBinarySize ()
| Get size of binary data. More...
void | dumpBinary (Print *printer=0)
| Dumps binary of the fault log to a Print inheriting object, or Serial if none specified. More...
void | read (uint8_t address)
| Reads the fault log from the specified address, reserves memory to hold the data. More...
struct FaultLogLtc2974 * | get ()
void | release ()
| Frees the memory reserved for the fault log. More...
Public Member Functions inherited from LT_EEDataFaultLog
| LT_EEDataFaultLog (LT_PMBus *pmbus)
void | getNvmBlock (uint8_t address, uint16_t offset, uint16_t numWords, uint8_t command, uint8_t *data)
Public Member Functions inherited from LT_FaultLog
| LT_FaultLog (LT_PMBus *pmbus)
virtual | ~LT_FaultLog ()
bool | hasFaultLog (uint8_t address)
void | enableFaultLog (uint8_t address)
void | disableFaultLog (uint8_t address)
void | clearFaultLog (uint8_t address)
void | dumpBin (Print *printer, uint8_t *log, uint8_t size)
uint64_t | getSharedTime200us (FaultLogTimeStamp time_stamp)
float | getTimeInMs (FaultLogTimeStamp time_stamp)
uint8_t | getRawByteVal (RawByte value)
uint16_t | getRawWordVal (RawWord value)
uint16_t | getRawWordReverseVal (RawWordReverse value)
uint16_t | getLin5_11WordVal (Lin5_11Word value)
uint16_t | getLin5_11WordReverseVal (Lin5_11WordReverse value)
uint16_t | getLin16WordVal (Lin16Word value)
uint16_t | getLin16WordReverseVal (Lin16WordReverse value)

## Protected Attributes
FaultLogLtc2974 * | faultLog2974
Protected Attributes inherited from LT_FaultLog
LT_PMBus * | pmbus_

## Additional Inherited Members
Protected Member Functions inherited from LT_FaultLog
uint8_t | readMfrStatusByte (uint8_t address)
uint8_t | readMfrFaultLogStatusByte (uint8_t address)

## Member Function Documentation

## ◆ dumpBinary()

void LT_2974FaultLog::dumpBinary | ( | Print * | printer = `0` | ) |
| virtual

Dumps binary of the fault log to a Print inheriting object, or Serial if none specified.

Parameters

  printer | Print inheriting object to print the binary to.

Implements LT_FaultLog.

Definition at line 181 of file LT_2974FaultLog.cpp.

## ◆ get()

struct FaultLogLtc2974* LT_2974FaultLog::get | ( |  | ) |

Definition at line 245 of file LT_2974FaultLog.h.

## ◆ getBinary()

uint8_t * LT_2974FaultLog::getBinary | ( |  | ) |
| virtual

Get binary of the fault log or NULL if no log.

Implements LT_FaultLog.

Definition at line 171 of file LT_2974FaultLog.cpp.

## ◆ getBinarySize()

uint16_t LT_2974FaultLog::getBinarySize | ( |  | ) |
| virtual

Get size of binary data.

Implements LT_FaultLog.

Definition at line 176 of file LT_2974FaultLog.cpp.

## ◆ print()

void LT_2974FaultLog::print | ( | Print * | printer = `0` | ) |
| virtual

Pretty prints this part's fault log to a Print inheriting object, or Serial if none specified.

Parameters

  printer | Print inheriting object to print the fault log to.

Implements LT_FaultLog.

Definition at line 186 of file LT_2974FaultLog.cpp.

## ◆ read()

void LT_2974FaultLog::read | ( | uint8_t | address | ) |
| virtual

Reads the fault log from the specified address, reserves memory to hold the data.

Returns
  a reference to the data read from the part.

Parameters

  address | the address to read the fault log from.

Implements LT_FaultLog.

Definition at line 118 of file LT_2974FaultLog.cpp.

## ◆ release()

void LT_2974FaultLog::release | ( |  | ) |
| virtual

Frees the memory reserved for the fault log.

Implements LT_FaultLog.

Definition at line 165 of file LT_2974FaultLog.cpp.

## Constructor & Destructor Documentation

## ◆ LT_2974FaultLog()

LT_2974FaultLog::LT_2974FaultLog | ( | LT_PMBus * | pmbus | ) |

Constructor.

Parameters

  pmbus | pmbus object reference for this fault log handler to use.

Definition at line 91 of file LT_2974FaultLog.cpp.

## Field Documentation

## ◆ faultLog2974

FaultLogLtc2974* LT_2974FaultLog::faultLog2974
| protected

Definition at line 218 of file LT_2974FaultLog.h.

The documentation for this class was generated from the following files:

- LT_2974FaultLog.h
- LT_2974FaultLog.cpp